ZeroBytePadding (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.paddings

## Class ZeroBytePadding

- java.lang.Object
- - org.bouncycastle.crypto.paddings.ZeroBytePadding

- All Implemented Interfaces:
    BlockCipherPadding

      public class ZeroBytePadding
      extends java.lang.Object
      implements BlockCipherPadding

  A padder that adds NULL byte padding to a block.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZeroBytePadding()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addPadding(byte[] in, int inOff)` add the pad bytes to the passed in block, returning the number of bytes added.
    `java.lang.String` | `getPaddingName()` Return the name of the algorithm the padder implements.
    `void` | `init(java.security.SecureRandom random)` Initialise the padder.
    `int` | `padCount(byte[] in)` return the number of pad bytes present in the block.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZeroBytePadding

          public ZeroBytePadding()

  - ### Method Detail

    - #### init

          public void init(java.security.SecureRandom random)
                    throws java.lang.IllegalArgumentException

      Initialise the padder.
      Specified by:
        `init` in interface `BlockCipherPadding`
      Parameters:
        `random` - - a SecureRandom if available.
      Throws:
        `java.lang.IllegalArgumentException`

    - #### getPaddingName

          public java.lang.String getPaddingName()

      Return the name of the algorithm the padder implements.
      Specified by:
        `getPaddingName` in interface `BlockCipherPadding`
      Returns:
        the name of the algorithm the padder implements.

    - #### addPadding

          public int addPadding(byte[] in,
                       int inOff)

      add the pad bytes to the passed in block, returning the number of bytes added.
      Specified by:
        `addPadding` in interface `BlockCipherPadding`

    - #### padCount

          public int padCount(byte[] in)
                       throws InvalidCipherTextException

      return the number of pad bytes present in the block.
      Specified by:
        `padCount` in interface `BlockCipherPadding`
      Throws:
        `InvalidCipherTextException` - if the padding is badly formed or invalid.